more actual file moves - forgot to tell hg
authorPaul Crowley <paul@lshift.net>
Mon, 16 Jun 2008 17:17:29 +0100
changeset 34 4b5ca59fe3b7
parent 33 18e93dbdaf12
child 35 0ed592d0f799
more actual file moves - forgot to tell hg
as-if-by-ssh
break-in
create-breakin-repository
hg-ssh-wrapper
hgadmin-hgrc
src/init/break-in/as-if-by-ssh
src/init/break-in/break-in
src/init/break-in/create-breakin-repository
src/init/break-in/ssh-replacement
src/init/conf/hg-ssh-wrapper
src/init/hgadmin-hgrc
ssh-replacement
--- a/as-if-by-ssh	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,10 +0,0 @@
-#!/bin/sh
-# Used only for break-ins
-
-set -e
-SSH_ORIGINAL_COMMAND=$1
-echo "SSH_ORIGINAL_COMMAND=$SSH_ORIGINAL_COMMAND" >&2
-export SSH_ORIGINAL_COMMAND
-cd
-exec /etc/hg-admin-tools/hg-ssh-wrapper root
-
--- a/break-in	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-set -e
-
-user=$(whoami)
-
-/usr/local/lib/hg-admin-tools/create-breakin-repository
-cd hgadmin
-mkdir -p keys
-ssh-add -L > keys/$user
-echo "init user=$user" > hg-ssh-access.conf
-hg add keys/$user hg-ssh-access.conf
-hg commit -m "Give all access only to user $user"
-hg push
--- a/create-breakin-repository	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,12 +0,0 @@
-#!/bin/sh
-
-set -e
-
-hg clone -e /usr/local/lib/hg-admin-tools/ssh-replacement ssh://localhost/hgadmin
-cd hgadmin
-cat >> .hg/hgrc << __END__
-[ui]
-ssh = /usr/local/lib/hg-admin-tools/ssh-replacement
-__END__
-echo "cd to hgadmin, make changes and commit"
-
--- a/hg-ssh-wrapper	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-# This file should live in /etc/hg-admin-tools.  It expects
-# to be specified as the target of the "command" section in the prefix
-# of a key in the authorized_keys file, and be passed a name associated
-# with an ssh key as its only argument.  It does some setting up before
-# calling hg-ssh, which does the real work of deciding whether to allow
-# the users action based on the type of the action, the key name, and
-# the contents of the specified rules file.
-
-# If your repository is laid out differently you may need to modify
-# this file.
-
-set -e
-
-# Use a different hgrc for remote pulls - this way you can set
-# up access.py for everything at once without affecting local operations
-
-HGRCPATH=/etc/hg-admin-tools/remote-hgrc
-export HGRCPATH
-
-# Set up this environment variable - useful for hg hooks to check.
-REMOTE_USER=$1
-export REMOTE_USER
-
-cd repos
-HG_ACCESS_RULES_FILE=$(pwd)/hgadmin/hg-ssh-access.conf
-export HG_ACCESS_RULES_FILE
-exec /usr/local/lib/hg-admin-tools/hg-ssh
-
--- a/hgadmin-hgrc	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,8 +0,0 @@
-# WARNING: when these hooks run they will entirely destroy and rewrite
-# ~/.ssh/authorized_keys
-
-[hooks]
-changegroup.aaaaa_update = hg update -C default > /dev/null
-changegroup.aaaab_purge = hg purge --all > /dev/null
-changegroup.refreshauth = /usr/local/lib/hg-admin-tools/refresh-auth ~/.ssh/authorized_keys /etc/hg-admin-tools/hg-ssh-wrapper
-
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/break-in/as-if-by-ssh	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Used only for break-ins
+
+set -e
+SSH_ORIGINAL_COMMAND=$1
+echo "SSH_ORIGINAL_COMMAND=$SSH_ORIGINAL_COMMAND" >&2
+export SSH_ORIGINAL_COMMAND
+cd
+exec /etc/hg-admin-tools/hg-ssh-wrapper root
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/break-in/break-in	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+user=$(whoami)
+
+/usr/local/lib/hg-admin-tools/create-breakin-repository
+cd hgadmin
+mkdir -p keys
+ssh-add -L > keys/$user
+echo "init user=$user" > hg-ssh-access.conf
+hg add keys/$user hg-ssh-access.conf
+hg commit -m "Give all access only to user $user"
+hg push
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/break-in/create-breakin-repository	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+hg clone -e /usr/local/lib/hg-admin-tools/ssh-replacement ssh://localhost/hgadmin
+cd hgadmin
+cat >> .hg/hgrc << __END__
+[ui]
+ssh = /usr/local/lib/hg-admin-tools/ssh-replacement
+__END__
+echo "cd to hgadmin, make changes and commit"
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/break-in/ssh-replacement	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,7 @@
+#!/bin/sh
+# Used only for break-ins
+
+echo "arg: $2" >&2
+
+exec sudo -H -u hg /usr/local/lib/hg-admin-tools/as-if-by-ssh "$2"
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/conf/hg-ssh-wrapper	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# This file should live in /etc/hg-admin-tools.  It expects
+# to be specified as the target of the "command" section in the prefix
+# of a key in the authorized_keys file, and be passed a name associated
+# with an ssh key as its only argument.  It does some setting up before
+# calling hg-ssh, which does the real work of deciding whether to allow
+# the users action based on the type of the action, the key name, and
+# the contents of the specified rules file.
+
+# If your repository is laid out differently you may need to modify
+# this file.
+
+set -e
+
+# Use a different hgrc for remote pulls - this way you can set
+# up access.py for everything at once without affecting local operations
+
+HGRCPATH=/etc/hg-admin-tools/remote-hgrc
+export HGRCPATH
+
+# Set up this environment variable - useful for hg hooks to check.
+REMOTE_USER=$1
+export REMOTE_USER
+
+cd repos
+HG_ACCESS_RULES_FILE=$(pwd)/hgadmin/hg-ssh-access.conf
+export HG_ACCESS_RULES_FILE
+exec /usr/local/lib/hg-admin-tools/hg-ssh
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/init/hgadmin-hgrc	Mon Jun 16 17:17:29 2008 +0100
@@ -0,0 +1,8 @@
+# WARNING: when these hooks run they will entirely destroy and rewrite
+# ~/.ssh/authorized_keys
+
+[hooks]
+changegroup.aaaaa_update = hg update -C default > /dev/null
+changegroup.aaaab_purge = hg purge --all > /dev/null
+changegroup.refreshauth = /usr/local/lib/hg-admin-tools/refresh-auth ~/.ssh/authorized_keys /etc/hg-admin-tools/hg-ssh-wrapper
+
--- a/ssh-replacement	Mon Jun 16 17:12:20 2008 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,7 +0,0 @@
-#!/bin/sh
-# Used only for break-ins
-
-echo "arg: $2" >&2
-
-exec sudo -H -u hg /usr/local/lib/hg-admin-tools/as-if-by-ssh "$2"
-